package com.kmall.api.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 门店商品表实体
 * 表名 mall_product_store_rela
 *
 * @author huangyaqin
 * @email admin@qhdswl.com
 * @date 2018-10-30 14:15:55
 */
public class ProductStoreRelaVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Integer id;
    /**
     * 门店Id
     */
    private Integer storeId;
    /**
     * 门店产品Id
     */
    private Integer productId;
    /**
     * sku
     */
    private String sku;
    /**
     * 库存数量
     */
    private Integer stockNum;
    /**
     * 商品Id
     */
    private Integer goodsId;
    /**
     * 零售价格
     */
    private BigDecimal retailPrice;
    /**
     * 市场价格
     */
    private BigDecimal marketPrice;
    /**
     * 库存价格
     */
    private BigDecimal stockPrice;
    /**
     * 销售量
     */
    private Integer sellVolume;
    /**
     * 货品业务类型， 01:保税展示店提，02:一般贸易，10:保税展示补货
     */
    private String goodsBizType;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    /**
     * 设置：主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：主键
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：门店Id
     */
    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    /**
     * 获取：门店Id
     */
    public Integer getStoreId() {
        return storeId;
    }
    /**
     * 设置：门店产品Id
     */
    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    /**
     * 获取：门店产品Id
     */
    public Integer getProductId() {
        return productId;
    }
    /**
     * 设置：sku
     */
    public void setSku(String sku) {
        this.sku = sku;
    }

    /**
     * 获取：sku
     */
    public String getSku() {
        return sku;
    }
    /**
     * 设置：库存数量
     */
    public void setStockNum(Integer stockNum) {
        this.stockNum = stockNum;
    }

    /**
     * 获取：库存数量
     */
    public Integer getStockNum() {
        return stockNum;
    }
    /**
     * 设置：商品Id
     */
    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }

    /**
     * 获取：商品Id
     */
    public Integer getGoodsId() {
        return goodsId;
    }
    /**
     * 设置：零售价格
     */
    public void setRetailPrice(BigDecimal retailPrice) {
        this.retailPrice = retailPrice;
    }

    /**
     * 获取：零售价格
     */
    public BigDecimal getRetailPrice() {
        return retailPrice;
    }
    /**
     * 设置：市场价格
     */
    public void setMarketPrice(BigDecimal marketPrice) {
        this.marketPrice = marketPrice;
    }

    /**
     * 获取：市场价格
     */
    public BigDecimal getMarketPrice() {
        return marketPrice;
    }
    /**
     * 设置：库存价格
     */
    public void setStockPrice(BigDecimal stockPrice) {
        this.stockPrice = stockPrice;
    }

    /**
     * 获取：库存价格
     */
    public BigDecimal getStockPrice() {
        return stockPrice;
    }
    /**
     * 设置：销售量
     */
    public void setSellVolume(Integer sellVolume) {
        this.sellVolume = sellVolume;
    }

    /**
     * 获取：销售量
     */
    public Integer getSellVolume() {
        return sellVolume;
    }
    /**
     * 设置：货品业务类型， 01:保税展示店提，02:一般贸易，10:保税展示补货
     */
    public void setGoodsBizType(String goodsBizType) {
        this.goodsBizType = goodsBizType;
    }

    /**
     * 获取：货品业务类型， 01:保税展示店提，02:一般贸易，10:保税展示补货
     */
    public String getGoodsBizType() {
        return goodsBizType;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
